View Issue Details

IDProjectCategoryView StatusLast Update
0001659FreeCADBugpublic2019-07-29 15:16
Reportermghansen256 Assigned To 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformLinuxOSKubuntuOS Version14.04
Product Version0.14 
Target VersionFixed in Version0.15 
Summary0001659: 3dconnexion space navigator moves view even when FreeCAD is not the active application
DescriptionWhen FreeCAD is not the active application, the viewport still reacts to space navigator actions. IMHO this is not convenient, because I do not notice that the space navigator is touched for example, and my viewport moves around. Also, this is problematic when two FreeCAD instances are running as both are simultaneously controlled by the space navigator...
Additional InformationOS: Ubuntu 14.04.1 LTS
Word size: 64-bit
Version: 0.14.3702 (Git)
Branch: releases/FreeCAD-0-14
Hash: b3368125c63289ec8ce9faec2b2ae4c78d436406
Python version: 2.7.6
Qt version: 4.8.6
Coin version: 4.0.0a
SoQt version: 1.6.0a
OCC version: 6.7.0
TagsNo tags attached.
FreeCAD Information

Relationships

related to 0002019 closedwmayer SpaceNav control active without application focus 

Activities

mghansen256

2014-08-18 20:35

reporter  

1659-patch.diff (Attachment missing)

mghansen256

2014-08-18 20:37

reporter   ~0004963

Hi,

I added a patch. Also available as pull request:

https://github.com/FreeCAD/FreeCAD_sf_master/pull/32

Best regards,

Michael

Related Changesets

FreeCAD: master 9419259f

2014-08-18 22:26:05

mghansen256


Committer: wmayer Details Diff
1659: 3dconnexion space navigator moves view even when FreeCAD is not the active application

Check whether the freecad window is active before relaying the space navigator events.
Affected Issues
0001659
mod - src/Gui/GuiApplicationNativeEventAware.cpp Diff File

FreeCAD: releases 3ecaf877

2014-08-28 15:27:35

wmayer

Details Diff
- fix focus issue with InputField
- on document load set camera setting of the MDI views
- do not try to use framebuffer objects when it's not supported on the system
0001690: sketch.getPoint crashes FreeCAD if the point does not exist
0001630: IGES-Export in [mm] turns to [Inches]
0001684: Sweep ignores the list of subshapes
0001667: 'Save file' disabled when viewing a drawing
0001682: Crash after updating editable texts in drawing
0001659: 3dconnexion space navigator moves view even when FreeCAD is not the active application
0001696: Quantity.getValueAs('rad') touches the Property
0001638: Not possible to draw anything
Affected Issues
0001630, 0001638, 0001659, 0001667, 0001682, 0001684, 0001690, 0001696
mod - src/App/Application.cpp Diff File
mod - src/Base/QuantityPy.xml Diff File
mod - src/Gui/Application.cpp Diff File
mod - src/Gui/Document.cpp Diff File
mod - src/Gui/GuiApplicationNativeEventAware.cpp Diff File
mod - src/Gui/InputField.cpp Diff File
mod - src/Gui/MouseSelection.cpp Diff File
mod - src/Mod/Drawing/App/FeaturePage.cpp Diff File
mod - src/Mod/Drawing/Gui/DrawingView.cpp Diff File
mod - src/Mod/Part/App/PartFeatures.cpp Diff File
mod - src/Mod/Part/App/TopoShape.cpp Diff File
mod - src/Mod/Sketcher/App/SketchObjectPyImp.cpp Diff File

Issue History

Date Modified Username Field Change
2014-07-31 20:20 mghansen256 New Issue
2014-08-18 20:35 mghansen256 File Added: 1659-patch.diff
2014-08-18 20:37 mghansen256 Note Added: 0004963
2014-08-19 16:22 wmayer Changeset attached => FreeCAD Master master 9419259f
2014-08-19 16:23 wmayer Status new => closed
2014-08-19 16:23 wmayer Resolution open => fixed
2014-08-19 16:23 wmayer Fixed in Version => 0.15
2015-03-23 01:12 tanderson69 Relationship added related to 0002019
2019-07-29 15:16 Kunda1 Changeset attached => FreeCAD releases 3ecaf877